Главная / Новости / Новые уязвимости в ПЛК Allen Bradley MicroLogix 1400

Новые уязвимости в ПЛК Allen Bradley MicroLogix 1400

Эксперты команды Cisco Talos опубликовали отчет о новых уязвимостях в программируемых логических контроллерах серии Allen Bradley MicroLogix 1400 производства компании Rockwell Automation. Эти уязвимости могут быть использованы злоумышленниками для модификации конфигурации ПЛК и схемы лестничной логики, перезаписи или удаления данных в модуле памяти устройства или проведения DoS-атак.

Уязвимостям подвержены следующие устройства:

  • Allen-Bradley Micrologix 1400 Series B FRN 21.003
  • Allen-Bradley Micrologix 1400 Series B FRN 21.002
  • Allen-Bradley Micrologix 1400 Series B FRN 21.0
  • Allen-Bradley Micrologix 1400 Series B FRN 15.

Так как затронутые устройства широко распространены в промышленном секторе, эксплуатация уязвимостей может привести к значительным последствиям.

Наибольшую опасность представляют множественные уязвимости (CVE-2017-14462 — CVE-2017-14473), связанные с некорректным контролем доступа, эксплуатация которых позволяет удаленному злоумышленнику без авторизации получить доступ к важной информации, а также изменить настройки устройства или программу лестничной логики (Ladder Logic) путем отправки специально сформированных пакетов. Данные уязвимости получили наивысшую оценку 10 баллов по шкале CVSS v.3.

В числе критичных проблем (8,6 баллов по шкале CVSS v.3) также оказались DoS-уязвимости CVE-2017-12088, CVE-2017-12089, CVE-2017-12090, которые могут привести к неисправности оборудования и удалению Ladder Logic.

Кроме того, уязвимости CVE-2017-12092 и CVE-2017-12093 низкой и средней степени опасности, соответственно, позволяют злоумышленнику записывать новые программы в модуль памяти, а также прерывать установленные и блокировать новые легитимные соединения с устройством.

Для устранения этих уязвимостей эксперты Cisco Talos рекомендуют обновить прошивки устройств до последней версии.

Источник: Cisco Talos